package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户培训视频对象 bus_training_video_user
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class BusTrainingVideoUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 公司主键 */
    private Long comId;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String comName;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 用户主键 */
    @Excel(name = "用户主键")
    private Long userId;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userNick;

    /** 用户账号 */
    @Excel(name = "用户账号")
    private String userName;

    /** 视频主键 */
    @Excel(name = "视频主键")
    private Long videoId;

    /** 播放状态 */
    @Excel(name = "播放状态")
    private Long playStatus;

    /** 排序 */
    @Excel(name = "排序")
    private Long sortBy;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    /** 培训名称 */
    @Excel(name = "培训名称")
    private String trainTitle;

    /** 培训类型 */
    @Excel(name = "培训类型")
    private String trainType;

    /** 培训级别 */
    @Excel(name = "培训级别")
    private String trainLevel;

    /** 培训文件地址 */
    @Excel(name = "培训文件地址")
    private String trainFilePath;

    /** 培训文件主图 */
    @Excel(name = "培训文件主图")
    private String trainFileImage;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getComId() {
        return comId;
    }

    public void setComId(Long comId) {
        this.comId = comId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setVideoId(Long videoId) 
    {
        this.videoId = videoId;
    }

    public Long getVideoId() 
    {
        return videoId;
    }
    public void setPlayStatus(Long playStatus) 
    {
        this.playStatus = playStatus;
    }

    public Long getPlayStatus() 
    {
        return playStatus;
    }
    public void setSortBy(Long sortBy) 
    {
        this.sortBy = sortBy;
    }

    public Long getSortBy() 
    {
        return sortBy;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getUserNick() {
        return userNick;
    }

    public void setUserNick(String userNick) {
        this.userNick = userNick;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getTrainTitle() {
        return trainTitle;
    }

    public void setTrainTitle(String trainTitle) {
        this.trainTitle = trainTitle;
    }

    public String getTrainType() {
        return trainType;
    }

    public void setTrainType(String trainType) {
        this.trainType = trainType;
    }

    public String getTrainLevel() {
        return trainLevel;
    }

    public void setTrainLevel(String trainLevel) {
        this.trainLevel = trainLevel;
    }

    public String getTrainFilePath() {
        return trainFilePath;
    }

    public void setTrainFilePath(String trainFilePath) {
        this.trainFilePath = trainFilePath;
    }

    public String getTrainFileImage() {
        return trainFileImage;
    }

    public void setTrainFileImage(String trainFileImage) {
        this.trainFileImage = trainFileImage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("userId", getUserId())
            .append("videoId", getVideoId())
            .append("playStatus", getPlayStatus())
            .append("sortBy", getSortBy())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
